Name:		postgresql-jdbc
Summary:	Postgresql JDBC Driver
Version:	42.2.4
Release:	4
License:	BSD
URL:		http://jdbc.postgresql.org/

Source0:	https://github.com/pgjdbc/pgjdbc/archive/REL%{version}/pgjdbc-REL%{version}.tar.gz
Source1:	https://github.com/pgjdbc/pgjdbc-parent-poms/archive/REL1.1.5/pgjdbc-parent-poms-REL1.1.5.tar.gz

Patch0:         0000-disable-ConnectTimeoutTest.patch
Patch9000:      9000-disable-the-failed-tests-that-caused-by-BEP.patch

BuildRequires:	maven-local java-comment-preprocessor properties-maven-plugin	classloader-leak-test-framework
BuildRequires:	maven-enforcer-plugin maven-plugin-bundle maven-plugin-build-helper java-devel >= 1.8
BuildRequires:	mvn(org.apache.maven.plugins:maven-clean-plugin) mvn(com.ongres.scram:client)

Obsoletes:      %{name}-parent-poms < 42.2.2-2
Provides:	pgjdbc = %version-%release

BuildArch:	noarch

%description
PostgreSQL JDBC Driver (PgJDBC for short) allows Java programs to connect to
a PostgreSQL database using standard, database independent Java code. Is an
open source JDBC driver written in Pure Java (Type 4), and communicates in
the PostgreSQL native network protocol.

%package javadoc
Summary:	API docs for %{name}

%description javadoc
This package contains the API Documentation for %{name}.

%package_help

%prep
%setup -c -q -a 1
mv pgjdbc-REL%version/* .
mv pgjdbc-parent-poms-REL1.1.5 pgjdbc-parent-poms

%patch0 -p1
%patch9000 -p1

find -name "*.jar" -or -name "*.class" | xargs rm -f

%pom_xpath_inject pom:modules "<module>./pgjdbc-parent-poms</module>"
%pom_xpath_inject pom:parent "<relativePath>pgjdbc-parent-poms/pgjdbc-versions</relativePath>"
%pom_xpath_set pom:relativePath ../pgjdbc-parent-poms/pgjdbc-core-parent pgjdbc
%pom_xpath_remove "pom:plugin[pom:artifactId = 'maven-shade-plugin']" pgjdbc
%mvn_file org.postgresql:postgresql %{name}/postgresql %{name} postgresql
%mvn_package ":*{parent,versions,prevjre}*" __noinstall
%mvn_alias org.postgresql:postgresql postgresql:postgresql

install -d pgjdbc/target/generated-sources/annotations

%build
opts="-f"
%mvn_build $opts --  -DwaffleEnabled=false \
                     -DosgiEnabled=false \
                     -DexcludePackageNames=org.postgresql.osgi:org.postgresql.sspi

%install
%mvn_install
find %{_buildrootdir} -name "%{name}.xml" | xargs sed -i '/<metadata xmlns/{n;s/<uuid>[[:alnum:]]\{8\}-[[:alnum:]]\{4\}-[[:alnum:]]\{4\}-[[:alnum:]]\{4\}-[[:alnum:]]\{12\}<\/uuid>/<uuid>cb98d437-dced-4915-8d37-d4da43bac7f5<\/uuid>/g}'
find %{_buildrootdir} -name "%{name}.xml" | xargs sed -i '/postgresql.jar<\/path>/{n;s/<uuid>[[:alnum:]]\{8\}-[[:alnum:]]\{4\}-[[:alnum:]]\{4\}-[[:alnum:]]\{4\}-[[:alnum:]]\{12\}<\/uuid>/<uuid>ea4aac95-7377-4a79-bb46-78fcebb4104d<\/uuid>/g}'
find %{_buildrootdir} -name "%{name}.xml" | xargs sed -i '/postgresql.pom<\/path>/{n;s/<uuid>[[:alnum:]]\{8\}-[[:alnum:]]\{4\}-[[:alnum:]]\{4\}-[[:alnum:]]\{4\}-[[:alnum:]]\{12\}<\/uuid>/<uuid>0142aef6-864f-4570-aa9e-364f1cd7829c<\/uuid>/g}'
find %{_buildrootdir} -name "%{name}.xml" | xargs sed -i '/pgjdbc-aggregate.pom<\/path>/{n;s/<uuid>[[:alnum:]]\{8\}-[[:alnum:]]\{4\}-[[:alnum:]]\{4\}-[[:alnum:]]\{4\}-[[:alnum:]]\{12\}<\/uuid>/<uuid>f8e1101c-f6b2-40a9-8b31-7b54e7767880<\/uuid>/g}'

%files -f .mfiles
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%files help
%doc README.md

%changelog
* Thu Dec 11 2019 caomeng<caomeng5@huawei.com> - 42.2.4-4
- Package init

* Wed Aug 21 2019 renxudong <renxudong1@huawei.com> - 42.2.4-3
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:revise patch name

* Tue Aug 20 2019 huangzheng <huangzheng22@huawei.com> - 42.2.4-2
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:remove sensitive information

* Sun Apr 28 2019 wangjia <wangjia55@huawei.com> - 42.2.4-1.h1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:disable the failed tests that caused by BEP to repair binary diffrence